# Generated by config.py
ASTER_ROOT       = /usr/local/aster
ASTER_VERSION   ?= 10.1.0
TOOLS_DIR        = $(ASTER_ROOT)/outils
PYTHONEXECUTABLE = /usr/local/bin/python2.6

as_run          ?= $(ASTER_ROOT)/bin/as_run

# config file
CONFIG          ?=
ifneq ($(CONFIG),)
CONFIG_FILE_LINE = F conf $(CONFIG) D 0
endif

# common parts
PWD := $(shell pwd)


.PHONY: diag clean
diag: unittest
	@echo "   >>> Unittest ended with `cat unittest` for $(TEST)"

%.export: %.export.in
	@sed -e 's@ASTER_ROOT@$(ASTER_ROOT)@g' \
	     -e 's@ASTER_VERSION@$(ASTER_VERSION)@g' \
	     -e 's@PWD@$(PWD)@g' \
	     -e 's@CONFIG_FILE_LINE@$(CONFIG_FILE_LINE)@g' \
	   $< > $@

%.py: %.py.in
	@sed -e 's@ASTER_ROOT@$(ASTER_ROOT)@g' \
	     -e 's@ASTER_VERSION@$(ASTER_VERSION)@g' \
	     -e 's@PWD@$(PWD)@g' \
	     -e 's@CONFIG_FILE_LINE@$(CONFIG_FILE_LINE)@g' \
	   $< > $@
	@chmod 755 $@

%.pyoutput: %.py
	$(PYTHONEXECUTABLE) $< > $@ 2> $(patsubst %.pyoutput,%.pyerror,$@)


clean:
ifneq ($jobclean,)
	@if [ -f jobid ]; then \
	   rm -f $(HOME)/flasheur/*.?`cat jobid`; \
	fi
endif
	@rm -rf output.* error.* exit_code unittest $(TODELETE)

